MONGOC_GRIDFS_FIND_ONE(3)

NAME
mongoc_gridfs_find_one() - This function shall execute a query on the underlying gridfs implementation. The first file matching query will be returned.

SYNOPSIS

mongoc_gridfs_file_t *
mongoc_gridfs_find_one (mongoc_gridfs_t *gridfs,
                        const bson_t    *query,
                        bson_error_t    *error);

PARAMETERS

gridfs
    A mongoc_gridfs_t \&.

query
    A bson_t \&.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

This function shall execute a query on the underlying gridfs implementation. The first file matching query will be returned.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A newly allcoated mongoc_gridfs_file_t or NULL if no file could be found. You must free the resulting file with mongoc_gridfs_file_destroy(3) if non-NULL.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.